Announcement

Collapse
No announcement yet.

Upgrading from 3.8.8 to v4 latest (?4.2.2)

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Upgrading from 3.8.8 to v4 latest (?4.2.2)

    Apologies if this is not the right place to post. Before I even attempt an upgrade of my forum currently on 3.8.8 to v4, where can I find out what the differences are between v3 & the latest v4 and what may cause issues e.g. styles, templates etc? I originally stuck with v3 as I heard that v4 caused issues & as my current forum does what I want I have no need for new functions. But with my host upgrading PHP to 5.4 (& possibly 5.5), security issues etc, v3 apparently 'End of Life', it may be time.

    My main current issue with my v3 forum is that it still uses vbseo for friendly URLs, submitting site maps & a 'likes' system & I want to stop using it without losing that functionality or my URLs (which are indexed by Google). I think that v4 may include some of this but not sure. So please can someone direct me to where I can find out what v4 does (over v3) & upgrade considerations. Thanks.

  • #2
    vBSEO is your big stumbling block. If you upgrade to vB4, although vBSEO did write a vB4 version, they have ceased trading so it's no longer available.

    No styles from vB3 will work in vB4.
    Most add-ons require substantial conversion before they will work.

    As regards php versions, we released 3.8.8 to add php 5.4 compatibility, and also we have 3.8.9 in beta which adds php 5.5 and 5.6 compatibility. So there is no need to worry there.

    We are currently still patching security issues in 3.8.

    So if your forum is doing what you want it to do you are probably best sticking with vB3.
    MARK.B | vBULLETIN SUPPORT

    TalkNewsUK - My vBulletin 5.5.6 Demo
    AdminAmmo - My Cloud Demo

    Comment


    • #3
      Thank you Mark. Re vbseo, I was wondering whether vb4 now offered some of the vbseo functionality itself so that I could uninstall vbseo before upgrading? My biggest issue are the URLs. I thought that vb4 now offered SEO-friendly URLs. If so, can't this replicate what I had with vbseo?

      Comment


      • #4
        Originally posted by holwebs View Post
        Thank you Mark. Re vbseo, I was wondering whether vb4 now offered some of the vbseo functionality itself so that I could uninstall vbseo before upgrading? My biggest issue are the URLs. I thought that vb4 now offered SEO-friendly URLs. If so, can't this replicate what I had with vbseo?
        Whilst vB4 does have "friendly URLs" they are not in the same format as vBSEO, and therefore you will lose your existing URLs. That is to say, links in Google won't work and will eventually disappear.
        MARK.B | vBULLETIN SUPPORT

        TalkNewsUK - My vBulletin 5.5.6 Demo
        AdminAmmo - My Cloud Demo

        Comment


        • #5


          The fact is these days you don't actually need these SEO modifications.

          Note that we can't provide any support for third party add-ons.
          Last edited by Mark.B; Fri 28th Dec '18, 11:00am.
          MARK.B | vBULLETIN SUPPORT

          TalkNewsUK - My vBulletin 5.5.6 Demo
          AdminAmmo - My Cloud Demo

          Comment


          • #6
            Thanks Mark. You've answered the question! Yes I was thinking about DBSEO but wondered if upgrading to to V4 might negate that. Oh well, back to Plan A.

            & even if these URLs are not needed for SEO, personally I find forum post much easier to view, when the URL gives you an idea of their content.

            Comment


            • #7
              PHP Code:
              although vBSEO did write a vB4 versionthey have ceased trading so it's no longer available. 
              not sure which is quote button hence used this.


              What does this line meant ?
              TechArena - TechArena Community - News - Download - Video - Guide - Review

              Comment


              • #8
                vBSEO was a third party company. It had nothing to do with vBulletin, the company, whatsoever.

                They ceased trading a few years ago, so their products are no longer available.
                MARK.B | vBULLETIN SUPPORT

                TalkNewsUK - My vBulletin 5.5.6 Demo
                AdminAmmo - My Cloud Demo

                Comment

                widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                Working...
                X